require_relative 'test_helper'

class CleanupTest < Minitest::Test

  def setup
    Docker::App.run(TEST_APP_PATH)
    Docker::App.cleanup!
    @running = `docker ps`
    @stopped = `docker ps -s`
  end

  def test_app_is_stopped
    refute_match /rails-server-app/, @running 
  end

  def test_postgres_is_stopped
    refute_match /\sdb\s/, @running
  end

  def test_app_is_removed
    refute_match /rails-server-app/, @stopped 
  end

  def test_postgres_is_removed
    refute_match /\sdb\s/, @stopped
  end
end
