require_relative 'test_helper'
require 'stringio'

class AppRunTest < Minitest::Test

  def test_can_run_a_rails_app
    assert Docker::App.run(TEST_APP_PATH), 
      'Docker::App.run should return something truthy'
  end

  def test_a_running_app_prints_out_the_rails_app_ip
    skip
    out, $stdout = $stdout, StringIO.new
    Docker::App.run(TEST_APP_PATH)
    out.rewind
    assert_match /\s\d+\.\d+\.\d+\.\d+\.:\d+\s/, out.read
    $stdout = out
  end

  def test_a_running_app_results_in_a_running_docker_container
    Docker::App.run(TEST_APP_PATH)
    containers = `docker ps`
    assert_match /rails-server-app/, containers
  end

  def test_a_running_app_starts_a_postgres_container
    Docker::App.run(TEST_APP_PATH)
    containers = `docker ps`
    assert_match /postgres/, containers
    assert_match /\sdb/, containers
  end

  def teardown
    TestHelper.remove_containers
    `docker run --rm -v /home/john/projects/docker/rails/app:/usr/src/app jphager2/rails-app chmod -R a+rw /usr/src/app`
    `rm -rf #{TEST_APP_PATH}/tmp/*`
  end
end
