require_relative 'test_helper'


class AppStopTest < Minitest::Test

  def setup
    Docker::App.run(TEST_APP_PATH)
    Docker::App.stop(TEST_APP_PATH)
    @running = `docker ps`
    @stopped = `docker ps -s`
  end

  def test_app_is_stopped
    refute_match /rails-server-app/, @running
  end

  def test_app_is_removed
    refute_match /rails-server-app/, @stopped
  end

  def test_postgres_is_still_running
    assert_match /\spostgres/, @running
  end

  def test_tmp_directory_is_empty
    assert_empty Dir["#{TEST_APP_PATH}/tmp/*"]
  end

  def teardown
    TestHelper.remove_containers
  end 
end


