require_relative 'test_helper'

class BuildTest < MiniTest::Unit::TestCase

  def self.before_suite
  end

  def self.after_suite
  end

  def setup
    if `docker images` =~ /#{Docker::USER_NAME}\/app/
      `docker rmi #{Docker::USER_NAME}/app`   
    end
  end
  
  def test_can_build_a_rails_app
    assert_kind_of Docker::Image, Docker.build(TEST_APP_PATH) 
  end

  def test_building_app_results_in_a_docker_image
    Docker.build(TEST_APP_PATH)
    images = `docker images` 
    assert_match(/#{Docker::USER_NAME}\/app/, images)
  end
end


