require_relative 'test_helper'

class ImageTest < MiniTest::Unit::TestCase

  def self.before_suite
    @@images = Docker.images
  end
  
  def self.after_suite
  end

  def test_image_has_id
    @@images.each do |image|
      refute_match /[\W\.\s\/\|:]/, image.id
      refute_match /[A-Z]/, image.id
    end
  end

  def test_image_can_be_removed
    image = Docker.build(TEST_APP_PATH)
    id = image.id
    image.remove!
    images = `docker images`
    refute_match /#{id}/, images
  end
end
