require_relative 'test_helper'

class InspectTest < MiniTest::Unit::TestCase
  
  def self.before_suite
    @@name = 'posty-post'
    @@container = TestHelper.setup_posty(@@name)
    @@inspect = Docker.inspekt(@@container.id)
  end

  def self.after_suite
    TestHelper.teardown_posty(@@name)
  end

  def test_inspect_gives_container_ip
    assert_match /\d+\.\d+\.\d\.\d/, @@inspect.ip_address 
  end

  def test_inspect_gives_ports
    ports = @@inspect.ports
    assert_instance_of Hash, ports 
    refute_empty ports
  end

  def test_inspect_gives_name
    assert_match /#{@@name}/, @@inspect.name
  end

  def test_inspect_gives_state
    assert @@inspect.state["Running"]
  end

  def test_inspect_gives_state_of_stopped_container
    @@container.stop!
    inspect = Docker.inspekt(@@container.id)
    refute inspect.state["Running"]
    @@container.start!
  end
end
