require_relative 'test_helper'
require 'stringio'

class RubyTest < MiniTest::Unit::TestCase
  def self.before_suite
    Docker::Ruby.build(RUBY_APP_PATH)
    @@app_name = RUBY_APP_PATH.match(/(\/(\w+))?$/)[2]
    @@container_name = "ruby-irb-#{@@app_name}"
  end

  def self.after_suite
    #@@container.remove!
  end

  def test_docker_can_build_a_ruby_app_image
    assert_match /jphager2\/ruby-#{@@app_name}/, `docker images`
  end

  def test_docker_can_start_a_ruby_app_container
    TestHelper.assert_match_stderr(/ruby-irb-#{@@app_name}/, self) do
      Docker::Ruby.run_irb(RUBY_APP_PATH)
    end
  end
end
